
Home-assistant
===========

Open source home automation that puts local control and privacy first. Powered by a worldwide community of tinkerers and DIY enthusiasts.


## Configuration

The following table lists the configurable parameters of the Home-assistant chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `image.repository` |  | `"ghcr.io/home-assistant/home-assistant"` |
| `image.tag` |  | `null` |
| `controller.enabled` | should the main workload be included or not | `true` |
| `controller.type` | valid options are deployment, statefulset, job | `"statefulset"` |
| `service.http.enabled` |  | `true` |
| `service.http.ports.http.port` |  | `80` |
| `service.http.ports.http.targetPort` |  | `8123` |
| `ingress.enabled` |  | `false` |
| `ingress.service` | what service should the ingress target | `"http"` |
| `ingress.servicePort` |  | `80` |
| `ingress.className` |  | `"nginx"` |
| `ingress.hosts` |  | `[{"host": "example.local", "paths": [{"path": "/", "pathType": "Prefix"}]}]` |
| `ingress.annotations` |  | `{}` |
| `ingress.tls` |  | `[]` |
| `volumeClaimTemplates` |  | `[{"name": "config", "mountPath": "/config", "accessMode": "ReadWriteOnce", "storageClassName": "longhorn", "size": "1Gi"}]` |
| `livenessProbe.httpGet.path` |  | `"/"` |
| `livenessProbe.httpGet.port` |  | `8123` |
| `livenessProbe.initialDelaySeconds` |  | `5` |
| `livenessProbe.periodSeconds` |  | `3` |
| `volumes` |  | `[{"name": "configs", "configMap": {"name": "hass-configs", "items": [{"key": "configuration.yaml", "path": "configuration.yaml"}, {"key": "automations.yaml", "path": "automations.yaml"}, {"key": "scenes.yaml", "path": "scenes.yaml"}, {"key": "scripts.yaml", "path": "scripts.yaml"}]}}, {"name": "secrets", "secret": {"secretName": "hass-secrets", "items": [{"key": "secrets.yaml", "path": "secrets.yaml"}]}}]` |
| `volumeMounts` |  | `[{"name": "configs", "mountPath": "/config/configuration.yaml", "subPath": "configuration.yaml", "readOnly": true}, {"name": "configs", "mountPath": "/config/automations.yaml", "subPath": "automations.yaml", "readOnly": true}, {"name": "configs", "mountPath": "/config/scenes.yaml", "subPath": "scenes.yaml", "readOnly": true}, {"name": "configs", "mountPath": "/config/scripts.yaml", "subPath": "scripts.yaml", "readOnly": true}, {"name": "secrets", "mountPath": "/config/secrets.yaml", "subPath": "secrets.yaml", "readOnly": true}]` |
| `hass_configs.configuration.yaml` |  | `"# Loads default set of integrations. Do not remove.\ndefault_config:\n\n# Load frontend themes from the themes folder\nfrontend:\n  themes: !include_dir_merge_named themes\n\nautomation: !include automations.yaml\nscript: !include scripts.yaml\nscene: !include scenes.yaml\n"` |
| `hass_configs.automations.yaml` |  | `"[]\n"` |
| `hass_configs.scenes.yaml` |  | `"# scenes\n"` |
| `hass_configs.scripts.yaml` |  | `"# scripts\n"` |
| `hass_secrets.secrets.yaml` |  | `"# Use this file to store secrets like usernames and passwords.\n# Learn more at https://www.home-assistant.io/docs/configuration/secrets/\nsome_password: welcome\n"` |





